`default_nettype none
module add4(
    input      CLK,
    output     PIN_14, // LEDs
    output     PIN_15,
    output     PIN_16,
    output     PIN_17,
    output     PIN_18,
    output     PIN_19,
    output     PIN_20,
    output     PIN_21,
    input      PIN_5, // input btn0
    input      PIN_6, // input btn1
    input      PIN_7, // input btn2
    input      PIN_8, // input btn3
    // not skipping PIN_9
    input      PIN_10, // input swt1
    input      PIN_11, // input swt2
    input      PIN_12, // input swt3
    input      PIN_13, // input swt4
    );


// Manage 16MHz clock
   reg [24:0] counter; 
   reg [2:0] dec_cntr;


// The 16MHz clock is too fast
// ...count to 8 million to divide it down to a half second clock
	always@(posedge CLK)
	  begin
	     counter <= counter + 1;
  	     if (counter == 8000000)
  	       begin
		   counter<=0; // reset counter
		   dec_cntr <= dec_cntr + 1; // count number of half seconds
               end
	  end	

   // Make the lights blink -- each light activiated on a different value of 3b half-second counter
   assign PIN_14 = (dec_cntr == 0) ;
   assign PIN_15 = (dec_cntr == 1) ;
   assign PIN_16 = (dec_cntr == 2) ;
   assign PIN_17 = (dec_cntr == 3) ;
   assign PIN_18 = (dec_cntr == 4) ;
   assign PIN_19 = (dec_cntr == 5) ;
   assign PIN_20 = (dec_cntr == 6) ;
   assign PIN_21 = (dec_cntr == 7) ;
endmodule
