`default_nettype none
module accum8(
    input      CLK,
    output     PIN_14, // LEDs
    output     PIN_15,
    output     PIN_16,
    output     PIN_17,
    output     PIN_18,
    output     PIN_19,
    output     PIN_20,
    output     PIN_21,
    input      PIN_5, // input btn0
    input      PIN_6, // input btn1
    input      PIN_7, // input btn2
    input      PIN_8, // input btn3
    // not skipping PIN_9
    input      PIN_10, // input swt1
    input      PIN_11, // input swt2
    input      PIN_12, // input swt3
    input      PIN_13, // input swt4
    );


// Manage 16MHz clock
   reg [24:0] counter;
   reg [7:0] accum;
   wire [3:0] in;
   wire p_reset, p_input, p_high;
   reg previous_p_input;

   assign p_reset=PIN_5;
   assign p_input=PIN_6;

   assign in[0]=PIN_10;
   assign in[1]=PIN_11;
   assign in[2]=PIN_12;
   assign in[3]=PIN_13;


// The 16MHz clock is too fast
// ...count to 1 million to divide it down to about 0.16 second clock
	always@(posedge CLK)
	  begin
	     counter <= counter + 1;
  	     if (counter == 1000000) 
  	       begin
		   counter<=0; // reset counter
                   // TODO: your accumulator logic here

                   // this is for use in making sure each input key press is only interpretted once
                   previous_p_input<=p_input;
               end
	  end	

   // Set the output lights

   assign PIN_14 = accum[7];
   assign PIN_15 = accum[6];
   assign PIN_16 = accum[5];
   assign PIN_17 = accum[4];
   assign PIN_18 = accum[3];
   assign PIN_19 = accum[2];
   assign PIN_20 = accum[1];
   assign PIN_21 = accum[0];
endmodule
